import javax.swing.*;
import java.awt.*;

/**
 * This class creates a new instance of the PlayingPanel to play Tetris
 */
public class Tetris
{
	/**
	 * Main method. Creates a new instance of PlayingPanel and makes it 
	 * visible and does other necessary things.
	 * @param args Command line arguments
	 */
	public static void main(String[] args)
	{
		// Create frame and do initialization
		JFrame frame = new JFrame("Tetris!");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		// Create new PlayingPanel
		PlayingPanel panel = new PlayingPanel();
		
		// Add panel and pack
		frame.add(panel);
		frame.pack();
				
		// Set panel visible
		frame.setVisible(true);	
	}
}